classification
Title: [EASY DOC] Python 2: document that platform.linux_distribution() has been removed
Type: Stage: resolved
Components: Documentation Versions: Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: docs@python, vstinner
Priority: normal Keywords: easy, patch

Created on 2018-05-22 13:05 by vstinner, last changed 2018-06-05 21:55 by vstinner. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 7281 merged tuxtimo, 2018-05-31 11:12
Messages (2)
msg317275 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2018-05-22 13:05
The platform.linux_distribution() function has been removed from the future Python 3.8. The removal should be documented in Python 2.7 documentation, and mention the alternative.

Python 2 documenation:
https://docs.python.org/2/library/platform.html#platform.linux_distribution

Python 3 documentation with the deprecation warning:
https://docs.python.org/3/library/platform.html#platform.linux_distribution

IMHO it's too late to deprecate the function from Python 2. We should only add a quick note.

Function removed in: bpo-28167.
msg318782 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2018-06-05 20:14
New changeset 7b9b87e76c44660de8a973c0e0a118f539532496 by Victor Stinner (Timo Furrer) in branch '2.7':
bpo-33600: document that platform.linux_distribution() has been removed (GH-7281)
https://github.com/python/cpython/commit/7b9b87e76c44660de8a973c0e0a118f539532496
History
Date User Action Args
2018-06-05 21:55:22vstinnersetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2018-06-05 20:14:49vstinnersetmessages: + msg318782
2018-05-31 11:12:06tuxtimosetkeywords: + patch
stage: patch review
pull_requests: + pull_request6906
2018-05-22 13:06:10vstinnersetkeywords: + easy
2018-05-22 13:05:21vstinnercreate